html {
  scroll-behavior: smooth;
}

body.menu-open {
  overflow: hidden;
}

:root {
  --green: #62BE01;
  --green-dark: #52ae00;
  --blue: #1FB3E8;
  --blue-dark: #008dbd;
  --text: #333;
  --border: #e5e5e5;
  --light-blue: #eaf8fc;
  --light-green: #eff9e9;
  --shadow: 0 12px 35px rgba(0, 0, 0, 0.12);
}

.site-header {
  width: 100%;
  height: 76px;
  background: #fff;
  border-bottom: 1px solid #E8E8E8;
  position: relative;
  z-index: 1000;
}

.header-inner {
  width: 100%;
  max-width: 1400px;
  height: 100%;
  margin: auto;
  padding: 0 10px;
  display: flex;
  align-items: center;
  gap: 20px;
}

.logo img {
  width: 90%;
}

.desktop-navigation {
  height: 100%;
  margin-left: auto;
  display: flex;
  align-items: center;
  gap: 20px;
}

.nav-item {
  height: 100%;
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.nav-item > span:first-child {
  color: #00a9e8;
}

.nav-item.active::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 2px;
  height: 2px;
  background: #1FB3E8;
  color: #00a9e8;
}

.nav-button,
.nav-link {
  height: 100%;
  display: flex;
  align-items: center;
  gap: 5px;
  color: #434545;
  font-size: 14px;
  white-space: nowrap;
  font-weight: 500;
  line-height: 28px;
}

.nav-button:hover,
.nav-link:hover {
  color: var(--blue);
}

.nav-item.active > .nav-button,.nav-item.active > .nav-link {
  color: var(--blue);
}

.nav-item.active .arrow {
  border-right: 2px solid #00a9e8;
  border-bottom: 2px solid #00a9e8;
  transform: translateY(2px) rotate(225deg);
}

.nav-item.active:hover .arrow {
  border-right: 2px solid #00a9e8;
  border-bottom: 2px solid #00a9e8;
}

.arrow {
  display: inline-block;
  width: 8px;
  height: 8px;
  margin-left: 6px;
  border-right: 2px solid #434545;
  border-bottom: 2px solid #434545;
  transform: translateY(-3px) rotate(45deg);
}

.header-actions {
  margin-left: 22px;
  display: flex;
  align-items: center;
  gap: 9px;
}

.language-wrapper {
  position: relative;
}

.language-button {
  width: 145px;
  height: 40px;
  padding: 0 10px;
  border: 1px solid #CDD8D7;
  border-radius: 12px;
  background: #fff;
  color: #434545;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  cursor: pointer;
  font-weight: 600;
  line-height: 28px;
}

.language-left {
  display: flex;
  align-items: center;
  gap: 10px;
  line-height: 17px;
}

.language-icon {
  font-size: 15px;
}

.language-arrow {
  transition: transform .25s ease;
}

.language-wrapper.active .language-arrow {
  transform: rotate(180deg);
}

.language-dropdown {
  position: absolute;
  top: calc(100% + 7px);
  right: 0;
  width: 155px;
  padding: 6px;
  background: #fff;
  border: 1px solid #e3e3e3;
  border-radius: 8px;
  box-shadow: var(--shadow);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform: translateY(-7px);
  transition:
  opacity .2s ease,
  visibility .2s ease,
  transform .2s ease;
  z-index: 99999;
}

.language-wrapper.active .language-dropdown {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform: translateY(0);
}

.language-option {
  width: 100%;
  min-height: 35px;
  padding: 0 10px;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  text-align: left;
  color: #434545;
  line-height: 100%;
  font-weight: 500;
  cursor: pointer;
}

.language-option.active,.language-option:hover {
  color: var(--blue);
  font-weight: 600;
}

.whatsapp-button {
  height: 40px;
  min-width: 156px;
  padding: 0 13px;
  border-radius: 12px;
  background: var(--green);
  color: #F9F9F9;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 6px;
  font-size: 14px;
  font-weight: 600;
  line-height: 17px;
}

.whatsapp-button:hover {
  background: var(--green-dark);
}

.whatsapp-icon {
  display: flex;
}

.services-mega-menu {
  position: absolute;
  top: 160%;
  left: 50%;
  width: 691px;
  padding: 18px;
  background: #fff;
  border: 1px solid #C3DEE5;
  border-radius: 12px;
  box-shadow: var(--shadow);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform:
  translateX(-50%)
  translateY(-8px);
  transition:
  opacity .2s ease,
  visibility .2s ease,
  transform .2s ease;
  z-index: 9999;
}

.services-mega-menu::before,.small-dropdown::before {
  content: "";
  position: absolute;
  top: -12px;
  left: 50%;
  width: 20px;
  height: 20px;
  background: white;
  border-left: 2px solid #C3DEE5;
  border-top: 2px solid #C3DEE5;
  transform: translateX(-50%) rotate(45deg);
}

.services-item.active .services-mega-menu {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform:
  translateX(-50%)
  translateY(0);
}

.services-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.services-column {
  padding: 0 17px;
  border-right: 0.5px solid #ECF2F4;
}

.services-column:first-child {
  padding-left: 0;
}

.services-column:last-child {
  padding-right: 0;
  border-right: none;
}

.heading-icon {
  color: #0083B2;
  font-size: 15px;
  font-weight: 500;
  line-height: 100%;
  margin-bottom: 10px;
}

.heading-icon img {
  display: block;
  margin-bottom: 10px;
}

.services-column:nth-child(2) .heading-icon {
  color: #3E8E13;
}

.services-column:nth-child(3) .heading-icon {
  color: #7B59B6;
}

.menu-list {
  list-style: none;
}

.menu-list a {
  min-height: 29px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  color: #434545;
  line-height: 100%;
  font-weight: 500;
}

.menu-list a:hover {
  color: var(--blue);
}

.small-dropdown {
  position: absolute;
  top: 160%;
  left: 50%;
  width: 471px;
  padding: 18px;
  background: #fff;
  border: 1px solid #C3DEE5;
  border-radius: 12px;
  box-shadow: var(--shadow);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform:
  translateX(-50%)
  translateY(-8px);
  transition:
  opacity .2s ease,
  visibility .2s ease,
  transform .2s ease;
  z-index: 9999;
}

.small-dropdown.businesses{
  width: 349px;
}

.nav-item.active > .small-dropdown {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform:
  translateX(-50%)
  translateY(0);
}

.small-dropdown-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.small-dropdown-column {
  padding: 0 16px;
  border-right: 1px solid #eee;
}

.small-dropdown-column:first-child {
  padding-left: 0;
}

.small-dropdown-column:last-child {
  padding-right: 0;
  border-right: none;
}

.small-dropdown-column:nth-child(2)
.small-heading {
  color: var(--green);
}

.small-heading-icon {
  font-size: 15px;
  font-weight: 600;
  color: #0083B2;
  margin-bottom: 10px;
  line-height: 100%;
}

.small-heading-icon img {
  display: block;
  margin-bottom: 10px;
}

.menu-list li,ul.small-list li {
  border-bottom: 1px solid #ECF2F4;
  padding: 5px 0;
}

.menu-list li:last-child,ul.small-list li:last-child {
  border-bottom: none;
}

.small-dropdown-column:nth-child(2)
.small-heading-icon {
  color: #3E8E13;
}

.small-list {
  list-style: none;
}

.small-list a {
  min-height: 30px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  color: #434545;
  font-weight: 500;
  line-height: 100%;
}

.small-list a:hover {
  color: var(--blue);
}

li.business{
  gap: 12px;
  border-bottom: 1px solid #ECF2F4;
  padding: 14px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

li.business .small-heading-icon {
  display: flex;
  gap: 15px;
  align-content: center;
  align-items: center;
}

li.business .small-heading-icon img {
  display: block;
  margin-bottom: 0;
}

li.business:last-child{
  border-bottom: none;
}

li.business a{
  color: #0083B2;
  font-size: 15px;
  font-weight: 600;
  line-height: 100%;
}

li.business:nth-child(2)
.small-heading-icon a{
  color: #3E8E13;
}

li.business:nth-child(3)
.small-heading-icon a{
  color: #7B59B6;
}

.small-heading-icon p {
  font-size: 12px;
  font-weight: 500;
  color: #434545;
  line-height: 100%;    
  padding-top: 6px;
}

.mobile-menu-button {
  display: none;
}

.mobile-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,.45);
  opacity: 0;
  visibility: hidden;
  z-index: 1998;
  transition: .3s ease;
}

.mobile-overlay.show {
  opacity: 1;
  visibility: visible;
}

.mobile-sidebar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 100%;
  height: 100vh;
  background: #fff;
  z-index: 1999;
  transform: translateX(-100%);
  transition: transform .3s ease;
  overflow-y: auto;
  box-shadow:
  5px 0 25px rgba(0,0,0,.12);
}

.mobile-sidebar.open {
  transform: translateX(0);
}

.mobile-header {
  height: 76px;
  padding: 0 18px;
  border-bottom: 0.5px solid #E8E8E8;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.mobile-logo img {
  width: 85%;
}

.mobile-close {
  color: var(--blue);
  font-size: 32px;
}

.mobile-navigation {
  padding: 14px;
}

.mobile-home,
.mobile-simple-link {
  min-height: 54px;
  padding: 18px 8px;
  display: flex;
  align-items: center;
  font-size: 16px;
  font-weight: 500;
  color: #434545;
  gap: 10px;
}

.mobile-section {
  margin-bottom: 3px;
}

.mobile-section-button {
  width: 100%;
  min-height: 54px;
  padding: 10px;
  border-radius: 7px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 16px;
  text-align: left;
}

.mobile-section-button.active {
  background: var(--light-blue);
  color: var(--blue);
}

.mobile-section-left {
  display: flex;
  align-items: center;
  gap: 18px;
  font-size: 16px;
  font-weight: 500;
  color: #434545;
}

.mobile-submenu {
  max-height: 0;
  overflow: hidden;
  transition:
  max-height .3s ease;
}

.mobile-submenu.open {
  max-height: 1200px;
}


.services-mobile-submenu {
  padding: 5px 9px 8px;
}

.mobile-service-category {
  width: 100%;
}

.mobile-category-button {
  width: 100%;
  min-height: 43px;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #434545;
  font-size: 16px;
  font-weight: 600;
  text-align: left;
}

.mobile-category-button:hover {
  color: var(--blue);
}

.category-arrow {
  font-size: 12px;
  transition:
  transform .25s ease;
}

.mobile-category-button.active
.category-arrow {
  transform: rotate(180deg);
}

.mobile-category-list {
  max-height: 0;
  overflow: hidden;
  transition:
  max-height .3s ease;
}

.mobile-category-list.open {
  max-height: 350px;
}

.mobile-category-list a {
  position: relative;
  min-height: 46px;
  padding:0 8px 0 21px;
  display: flex;
  align-items: center;
  border-bottom:1px solid #C3DEE5;
  color: #434545;
  font-size: 16px;
  font-weight: 400;
}

.mobile-category-list a:last-child{
  border-bottom: none;
}

.mobile-category-list a::before {
  content: "";
  position: absolute;
  left: 2px;
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background: var(--blue);
}

.mobile-category-list a:hover {
  color: var(--blue);
}

.mobile-service-icon {
  width: 20px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: var(--blue);
  font-size: 17px;
}

.mobile-section
.mobile-submenu:not(.services-mobile-submenu)
a {
  position: relative;
  min-height: 37px;
  padding:
  0 10px 0 32px;
  display: flex;
  align-items: center;
  border-bottom:
  1px solid #e2e2e2;
  font-size: 9px;
}

.mobile-section
.mobile-submenu:not(.services-mobile-submenu)
a::before {
  content: "";
  position: absolute;
  left: 15px;
  width: 4px;
  height: 4px;
  border-radius: 50%;
  background: var(--blue);
}

.mobile-bottom {
  padding: 7px 12px 20px;
}


.mobile-language-wrapper {
  position: relative;
}

.mobile-language-button {
  width: 100%;
  height: 50px;
  padding: 0 9px;
  border: 1px solid #ddd;
  border-radius: 12px;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  color: #434545;
  font-weight: 600;
}

.mobile-language-left {
  display: flex;
  align-items: center;
  gap: 7px;
}

.mobile-language-arrow {
  transition:transform .25s ease;
}

.mobile-language-wrapper.active
.mobile-language-arrow {
  transform: rotate(180deg);
}

.mobile-language-dropdown {
  position: absolute;
  left: 0;
  right: 0;
  bottom:
  calc(100% + 6px);
  padding: 5px;
  background: #fff;
  border:
  1px solid #ddd;
  border-radius: 7px;
  box-shadow: var(--shadow);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform: translateY(5px);
  transition: .2s ease;
}

.mobile-language-wrapper.active
.mobile-language-dropdown {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
  transform: translateY(0);
}

.mobile-language-option {
  width: 100%;
  min-height: 32px;
  padding: 0 8px;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 9px;
  text-align: left;
}

.mobile-language-option:hover {
  background: #f1f9fc;
}

.mobile-language-option.active {
  background: #f5faef;
  color: var(--green);
  font-weight: 600;
}

.mobile-whatsapp {
  width: 100%;
  height: 50px;
  margin-top: 20px;
  border-radius: 12px;
  background: var(--green);
  color: #F9F9F9;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  font-weight: 600;
  gap: 10px;
}


@media (max-width: 1050px) {

  .desktop-navigation {
    gap: 15px;
  }

  .header-actions {
    margin-left: 12px;
  }

  .services-mega-menu {
    width: 680px;
  }

}


@media (max-width: 900px) {

  .site-header {
    height: 76px;
  }

  .header-inner {
    padding: 0;
    justify-content: space-between;
  }

  .desktop-navigation,
  .header-actions {
    display: none;
  }

  .mobile-menu-button {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .logo {
    font-size: 19px;
  }

  .hero {
    min-height: 400px;

    padding:
    50px 25px;
  }

  .hero h1 {
    font-size: 31px;
  }

}


@media (max-width: 480px) {

  .mobile-sidebar {
    max-width: 100%;
  }

  .hero h1 {
    font-size: 28px;
  }

}